Bug 362 - usrmgr.exe: modifying group members fails (sometimes)
usrmgr.exe: modifying group members fails (sometimes)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
Other Linux
: P3 normal
: 3.0.1
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks: 827
  Show dependency treegraph
 
Reported: 2003-08-27 23:21 UTC by Roland Bauerschmidt
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Bauerschmidt 2003-08-27 23:21:38 UTC
Using usrmgr.exe, modifying the members of a group only works if the 
description is modified at the same time. Otherwise it bails out with 
the following error: 
 
[2003/08/25 10:47:20, 2] passdb/pdb_ldap.c:ldapsam_search_one_group(1631) 
  ldapsam_search_one_group: searching 
for:[(&(objectClass=posixGroup)(gidNumber=3443))] 
[2003/08/25 10:47:20, 11] lib/smbldap.c:smbldap_open(822) 
  smbldap_open: already connected to the LDAP server 
[2003/08/25 10:47:20, 4] 
passdb/pdb_ldap.c:ldapsam_update_group_mapping_entry(2008) 
  mods is empty: nothing to do 
[2003/08/25 10:47:20, 5] rpc_parse/parse_prs.c:prs_debug(81) 
  000000 samr_io_r_set_groupinfo 
[2003/08/25 10:47:20, 5] rpc_parse/parse_prs.c:prs_ntstatus(664) 
      0000 status: NT_STATUS_NO_SUCH_GROUP 
 
It'd be happy to provide further information, Roland
Comment 1 Gerald (Jerry) Carter 2003-11-27 09:57:57 UTC
fixed in 3.01.pre3
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:05:52 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:17:12 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.